Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.maryanovsky.gwtutils.client.iphone.ui.gesture
Class HandlesAllGestureEvents

    java.lang.Object
      com.maryanovsky.gwtutils.client.iphone.ui.gesture.HandlesAllGestureEvents

All Implemented Interfaces:
  EventHandler, GestureChangeHandler, GestureEndHandler, GestureStartHandler

    public abstract class HandlesAllGestureEvents

extends Object
implements GestureStartHandler, GestureChangeHandler, GestureEndHandler

Receiver used to handle all gesture events.

Author:
  Maryanovsky Alexander

Constructor Summary
`HandlesAllGestureEvents()`

Method Summary
`HandlerRegistration` | `handle(HasAllGestureHandlers source)` Convenience method to handle all gesture events from a source.
`static
`<H extends GestureStartHandler & GestureChangeHandler & GestureEndHandler> HandlerRegistration`
` | `handle(HasAllGestureHandlers source, H receiver)` Convenience method to handle all gesture events from a source.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.maryanovsky.gwtutils.client.iphone.ui.gesture.GestureStartHandler
`onGestureStart`

Methods inherited from interface com.maryanovsky.gwtutils.client.iphone.ui.gesture.GestureChangeHandler
`onGestureChange`

Methods inherited from interface com.maryanovsky.gwtutils.client.iphone.ui.gesture.GestureEndHandler
`onGestureEnd`

Constructor Detail

### HandlesAllGestureEvents

    public HandlesAllGestureEvents()

Method Detail

### handle

    public HandlerRegistration handle(HasAllGestureHandlers source)

  Convenience method to handle all gesture events from a source.

### handle

    public static <H extends GestureStartHandler & GestureChangeHandler & GestureEndHandler> HandlerRegistration handle(HasAllGestureHandlers source,
                                                                                                                      H receiver)

  Convenience method to handle all gesture events from a source.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD